aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/perl-class-accessor-chained/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/perl-class-accessor-chained/APKBUILD b/testing/perl-class-accessor-chained/APKBUILD
new file mode 100644
index 0000000000..d4b6419965
--- /dev/null
+++ b/testing/perl-class-accessor-chained/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-class-accessor-chained
+_pkgreal=Class-Accessor-Chained
+pkgver=0.01
+pkgrel=0
+pkgdesc="make chained accessors"
+url="http://search.cpan.org/dist/Class-Accessor-Chained/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-class-accessor"
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="9825a1f30a70e55e61bb5660b2bd7365 Class-Accessor-Chained-0.01.tar.gz"